blas_sparse::uscr_insert_block Interface Reference

inserts a dense block More...

## Public Member Functions

subroutine | suscr_insert_block (a, val, row_stride, col_stride, i, j, istat)
| Inserts a whole block in a matrix, assuming it is in build state. The block size is assumed to be the one specified when calling the (type) corresponding matrix blocked `begin` function. If not called a blocked `begin` function, will assume 1x1 (that is, no) blocking. By default, duplicate entries will be summed together.
subroutine | duscr_insert_block (a, val, row_stride, col_stride, i, j, istat)
| Inserts a whole block in a matrix, assuming it is in build state. The block size is assumed to be the one specified when calling the (type) corresponding matrix blocked `begin` function. If not called a blocked `begin` function, will assume 1x1 (that is, no) blocking. By default, duplicate entries will be summed together.
subroutine | cuscr_insert_block (a, val, row_stride, col_stride, i, j, istat)
| Inserts a whole block in a matrix, assuming it is in build state. The block size is assumed to be the one specified when calling the (type) corresponding matrix blocked `begin` function. If not called a blocked `begin` function, will assume 1x1 (that is, no) blocking. By default, duplicate entries will be summed together.
subroutine | zuscr_insert_block (a, val, row_stride, col_stride, i, j, istat)
| Inserts a whole block in a matrix, assuming it is in build state. The block size is assumed to be the one specified when calling the (type) corresponding matrix blocked `begin` function. If not called a blocked `begin` function, will assume 1x1 (that is, no) blocking. By default, duplicate entries will be summed together.

## Detailed Description

inserts a dense block

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## Member Function/Subroutine Documentation

## cuscr_insert_block()

subroutine blas_sparse::uscr_insert_block::cuscr_insert_block | ( | integer | a,
|  | complex(kind(1.e0)), dimension (:) | val,
|  | integer(kind=rsb_blas_idx_kind) | row_stride,
|  | integer(kind=rsb_blas_idx_kind) | col_stride,
|  | integer(kind=rsb_blas_idx_kind) | i,
|  | integer(kind=rsb_blas_idx_kind) | j,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Inserts a whole block in a matrix, assuming it is in build state. The block size is assumed to be the one specified when calling the (type) corresponding matrix blocked `begin` function. If not called a blocked `begin` function, will assume 1x1 (that is, no) blocking. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  val | Array of values.
  row_stride,col_stride | Row and column strides in accessing `val`.
  i,j | Block row/column indices.

Warning
  Signature of this routine for Fortran does not agree to the standard. This shall be corrected in a future release.

See also
  BLAS_cuscr_block_begin, BLAS_cuscr_block_begin, BLAS_duscr_block_begin, BLAS_zuscr_block_begin, BLAS_cuscr_begin, BLAS_suscr_begin, BLAS_duscr_begin, BLAS_zuscr_begin.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## duscr_insert_block()

subroutine blas_sparse::uscr_insert_block::duscr_insert_block | ( | integer | a,
|  | real(kind(1.d0)), dimension (:) | val,
|  | integer(kind=rsb_blas_idx_kind) | row_stride,
|  | integer(kind=rsb_blas_idx_kind) | col_stride,
|  | integer(kind=rsb_blas_idx_kind) | i,
|  | integer(kind=rsb_blas_idx_kind) | j,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Inserts a whole block in a matrix, assuming it is in build state. The block size is assumed to be the one specified when calling the (type) corresponding matrix blocked `begin` function. If not called a blocked `begin` function, will assume 1x1 (that is, no) blocking. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  val | Array of values.
  row_stride,col_stride | Row and column strides in accessing `val`.
  i,j | Block row/column indices.

Warning
  Signature of this routine for Fortran does not agree to the standard. This shall be corrected in a future release.

See also
  BLAS_cuscr_block_begin, BLAS_cuscr_block_begin, BLAS_duscr_block_begin, BLAS_zuscr_block_begin, BLAS_cuscr_begin, BLAS_suscr_begin, BLAS_duscr_begin, BLAS_zuscr_begin.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## suscr_insert_block()

subroutine blas_sparse::uscr_insert_block::suscr_insert_block | ( | integer | a,
|  | real(kind(1.e0)), dimension (:) | val,
|  | integer(kind=rsb_blas_idx_kind) | row_stride,
|  | integer(kind=rsb_blas_idx_kind) | col_stride,
|  | integer(kind=rsb_blas_idx_kind) | i,
|  | integer(kind=rsb_blas_idx_kind) | j,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Inserts a whole block in a matrix, assuming it is in build state. The block size is assumed to be the one specified when calling the (type) corresponding matrix blocked `begin` function. If not called a blocked `begin` function, will assume 1x1 (that is, no) blocking. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  val | Array of values.
  row_stride,col_stride | Row and column strides in accessing `val`.
  i,j | Block row/column indices.

Warning
  Signature of this routine for Fortran does not agree to the standard. This shall be corrected in a future release.

See also
  BLAS_cuscr_block_begin, BLAS_cuscr_block_begin, BLAS_duscr_block_begin, BLAS_zuscr_block_begin, BLAS_cuscr_begin, BLAS_suscr_begin, BLAS_duscr_begin, BLAS_zuscr_begin.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## zuscr_insert_block()

subroutine blas_sparse::uscr_insert_block::zuscr_insert_block | ( | integer | a,
|  | complex(kind(1.d0)), dimension (:) | val,
|  | integer(kind=rsb_blas_idx_kind) | row_stride,
|  | integer(kind=rsb_blas_idx_kind) | col_stride,
|  | integer(kind=rsb_blas_idx_kind) | i,
|  | integer(kind=rsb_blas_idx_kind) | j,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Inserts a whole block in a matrix, assuming it is in build state. The block size is assumed to be the one specified when calling the (type) corresponding matrix blocked `begin` function. If not called a blocked `begin` function, will assume 1x1 (that is, no) blocking. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  val | Array of values.
  row_stride,col_stride | Row and column strides in accessing `val`.
  i,j | Block row/column indices.

Warning
  Signature of this routine for Fortran does not agree to the standard. This shall be corrected in a future release.

See also
  BLAS_cuscr_block_begin, BLAS_cuscr_block_begin, BLAS_duscr_block_begin, BLAS_zuscr_block_begin, BLAS_cuscr_begin, BLAS_suscr_begin, BLAS_duscr_begin, BLAS_zuscr_begin.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

The documentation for this interface was generated from the following file:

- rsb_blas_sparse.F90